Subject: Re: [RFC 1/4] kevent: core files.

From: Zach Brown <[email-masked]>
Date: Tue, 01 Aug 2006 10:02:29 -0700

> I do not think if we do a ring buffer that events should be obtainable
> via a syscall at all.  Rather, I think this system call should be
> purely "sleep until ring is not empty".

Mmm, yeah, of course.  That's much simpler.  I'm looking forward to
Evgeniy's next patch set.

> The ring buffer size, as Evgeniy also tried to describe, is bounded
> purely by the number of registered events.

Yeah.  fwiw, fs/aio.c has this property today.

- z